org.jboss.resteasy.security.doseta

## Class Verifier

- java.lang.Object
- - org.jboss.resteasy.security.doseta.Verifier

-     public class Verifier
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected KeyRepository` | `repository`
    `protected List<Verification>` | `verifications`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Verifier()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Verification` | `addNew()`
    `KeyRepository` | `getRepository()`
    `List<Verification>` | `getVerifications()`
    `void` | `setRepository(KeyRepository repository)`
    `VerificationResults` | `verify(List<DKIMSignature> signatures, Map headers, byte[] body)` Try to verify a set of signatures and store the results
    `VerificationResult` | `verify(Map headers, byte[] body, Verification verification, DKIMSignature signature)` Verify one signature and store the results
    `MultivaluedMap<String,String>` | `verifySignature(Map headers, byte[] body, Verification verification, DKIMSignature signature)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### repository

          protected KeyRepository repository

    - #### verifications

          protected List<Verification> verifications

  - ### Constructor Detail

    - #### Verifier

          public Verifier()

  - ### Method Detail

    - #### getRepository

          public KeyRepository getRepository()

    - #### setRepository

          public void setRepository(KeyRepository repository)

    - #### addNew

          public Verification addNew()

    - #### getVerifications

          public List<Verification> getVerifications()

    - #### verify

          public VerificationResults verify(List<DKIMSignature> signatures,
                                   Map headers,
                                   byte[] body)

      Try to verify a set of signatures and store the results
      Parameters:
        `signatures` -
        `headers` -
        `body` -
      Returns:

    - #### verify

          public VerificationResult verify(Map headers,
                                  byte[] body,
                                  Verification verification,
                                  DKIMSignature signature)

      Verify one signature and store the results
      Parameters:
        `headers` -
        `body` -
        `verification` -
        `signature` -
      Returns:

    - #### verifySignature

          public MultivaluedMap<String,String> verifySignature(Map headers,
                                                      byte[] body,
                                                      Verification verification,
                                                      DKIMSignature signature)
                                                        throws SignatureException

      Throws:
        `SignatureException`

Copyright © 2014. All Rights Reserved.